package cokr.xit.fims.mngt.service;

import java.util.List;

import cokr.xit.fims.mngt.Schdl;
import cokr.xit.fims.mngt.SchdlQuery;
import cokr.xit.foundation.data.DataObject;

public interface SchdlService {
	/**지정한 조건에 따라 일정관리 목록을 조회하여 반환한다.
	 * @param req 일정관리 조회 조건
	 * @return 일정관리 목록
	 */
	List<DataObject> getSchdlList(SchdlQuery req);

	/**지정한 조건에 따라 일정관리 객체를 반환한다.
	 * @param schdlId 일정관리 ID
	 * @return 일정관리 객체
	 */
	DataObject getSchdlInfo(String schdlId);

	/**일정관리 정보를 등록한다.
	 * @param schdl 일정관리
	 * @return 저장 여부
	 * <ul><li>저장됐으면 true</li>
	 *     <li>그렇지 않으면 false</li>
	 * </ul>
	 */
	String create(Schdl schdl);

	/**일정관리 정보를 수정한다.
	 * @param schdl 일정관리
	 * @return 저장 여부
	 * <ul><li>저장됐으면 true</li>
	 *     <li>그렇지 않으면 false</li>
	 * </ul>
	 */
	String update(Schdl schdl);

	/**일정관리 정보를 삭제한다.
	 * @param schdl 일정관리
	 * @return 저장 여부
	 * <ul><li>저장됐으면 true</li>
	 *     <li>그렇지 않으면 false</li>
	 * </ul>
	 */
	String remove(Schdl schdl);
}
